
CD-Section: Determination of Reflection Centricity
C This routine prepares for the determination of the centricity of 
C a reflection. It is equivalent to the CCP4 routine CENTRC  but allows
C the internally stored symmetry to be accessed.
CD-end

C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     KSM_CENTRIC      **
C**************************
C
CD-Routine: Prepare to Determine Centric Reflections - KSM_CENTRIC
C This routine calls the CCP4 routine CENTRIC to prepare for determining
C whether a reflection is centric using the CENTR function. The CENTRIC
C routine is called via the KSM routine because it can access
C data stored internally within the Keyword Symmetry Module and 
C avoid having to duplicate such data unnecessarily.
CD-end
CD-Fortran:
      SUBROUTINE KSM_CENTRIC
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Call to CCP4'S CENTRIC routine using stored symmetry
C
C          Then CENTR can be used
C
C Author:  John W. Campbell, July 1995 
C
C Arguments:
C
CD-Parameters: 
C None
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL CENTRIC (NSYM, ROTSYM, 0)
      RETURN
      END
